# Generated from stow-0.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name stow

Name: rubygem-%{gem_name}
Version: 0.0.2
Release: 1%{?dist}
Summary: An abstraction layer for local, database and cloud storage
License: MIT
URL: http://github.com/thelucid/stow
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(mocha)
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(guard-minitest)
# BuildRequires: rubygem(minitest-reporters)
# BuildRequires: rubygem(rb-inotify)
# BuildRequires: rubygem(rb-fsevent)
# BuildRequires: rubygem(rb-fchange)
BuildArch: noarch

%description
A common interface to local filesystem, database (such as GridFS) and cloud
based storage.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/stow.gemspec
%{gem_instdir}/test

%changelog
* Wed Sep 15 2021 mockbuilder - 0.0.2-1
- Initial package
